/**
 * RoleClassOntological2.java
 *
 * File generated from the medication2::RoleClassOntological2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassOntological2.
 *
 * 
 */

@XmlType(name = "RoleClassOntological")
@XmlEnum
@XmlRootElement(name = "RoleClassOntological2")
public enum RoleClassOntological2 {
	@XmlEnumValue("INST")
	INST("INST"),
	@XmlEnumValue("SUBS")
	SUBS("SUBS"),
	@XmlEnumValue("SUBY")
	SUBY("SUBY"),
	@XmlEnumValue("GEN")
	GEN("GEN"),
	@XmlEnumValue("GRIC")
	GRIC("GRIC");
	
	private final String value;

    RoleClassOntological2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassOntological2 fromValue(String v) {
        for (RoleClassOntological2 c: RoleClassOntological2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
